/*-
 * Copyright 2021 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.ade.foodwaterenergycitygml4j.landuse.model.xsd;


import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import net.opengis.gml.AbstractFeatureType;
import net.opengis.gml.AreaType;


@XmlType(name = "LandUseSurvey")
public class LandUseSurveyType extends AbstractFeatureType  {
	@XmlElement(name = "buildingFootprintArea")
	private AreaType buildingFootprintArea;
	@XmlElement(name = "population")
	private Integer population;
	@XmlElement(name = "surveyYear")
	private Integer surveyYear;
	@XmlElement(name = "surveyYearVersion")
	private Double surveyYearVersion;
	@XmlElement(name = "surveyDescription")
	private String surveyDescription;
	@XmlElement(name = "surfaceArea")
	private AreaType surfaceArea;
	@XmlElement(name = "foodSurvey")
	private FoodSurveyType foodSurveyType;
	@XmlElement(name = "waterSurvey")
	private WaterSurveyType waterSurveyType;
	@XmlElement(name = "energySurvey")
	private EnergySurveyType energySurveyType;

	
	public AreaType getBuildingFootprintArea() {
		return buildingFootprintArea;
	}
	public void setBuildingFootprintArea(AreaType buildingFootprintArea) {
		this.buildingFootprintArea = buildingFootprintArea;
	}
	public Integer getPopulation() {
		return population;
	}
	public void setPopulation(Integer population) {
		this.population = population;
	}
	public Integer getSurveyYear() {
		return surveyYear;
	}
	public void setSurveyYear(Integer surveyYear) {
		this.surveyYear = surveyYear;
	}
	public Double getSurveyYearVersion() {
		return surveyYearVersion;
	}
	public void setSurveyYearVersion(Double surveyYearVersion) {
		this.surveyYearVersion = surveyYearVersion;
	}
	public String getSurveyDescription() {
		return surveyDescription;
	}
	public void setSurveyDescription(String surveyDescription) {
		this.surveyDescription = surveyDescription;
	}
	public AreaType getSurfaceArea() {
		return surfaceArea;
	}
	public void setSurfaceArea(AreaType surfaceArea) {
		this.surfaceArea = surfaceArea;
	}
	public FoodSurveyType getFoodSurveyType() {
		return foodSurveyType;
	}
	public void setFoodSurveyType(FoodSurveyType foodSurveyType) {
		this.foodSurveyType = foodSurveyType;
	}
	public WaterSurveyType getWaterSurveyType() {
		return waterSurveyType;
	}
	public void setWaterSurveyType(WaterSurveyType waterSurveyType) {
		this.waterSurveyType = waterSurveyType;
	}
	public EnergySurveyType getEnergySurveyType() {
		return energySurveyType;
	}
	public void setEnergySurveyType(EnergySurveyType energySurveyType) {
		this.energySurveyType = energySurveyType;
	}

}
